# $Revision: 1.6 $, $Date: 2002/09/07 06:22:02 $
#
# Conditional build:
# _without_dist_kernel - build package with own kernel headers/source
#
Summary:	UCSC SMART suite - S.M.A.R.T. utility for Linux
Summary(pl):	UCSC SMART suite - obsuga S.M.A.R.T. dla Linuksa
Summary(pt_BR): Conjunto de utilitrios SMART para Linux
Name:		smartsuite
Version:	2.1
Release:	3
License:	GPL
Group:		Applications/System
Source0:	http://prdownloads.sourceforge.net/smartsuite/%{name}-%{version}.tar.gz
Source1:	%{name}.init
URL:		http://csl.cse.ucsc.edu/smart.shtml
Prereq:		/sbin/chkconfig
%{!?_without_dist_kernel:BuildRequires:         kernel-headers }
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	smartctl
Obsoletes:	ucsc-smartsuite

%description
UCSC SMART suite controls and monitors storage devices uning the
Self-Monitoring, Analysis and Reporting Technology System (S.M.A.R.T.)
build into ATA and SCSI Hard Drives. This is used to check the
reliability of the hard drive and predict drive failures. The suite
contents two utilities, smartctl is a command line utility designed to
perform simple S.M.A.R.T. tasks. And smartd is a daemon that
periodically monitors smart status and reports errors to syslog.

%description -l pl
USCS SMART suite suy do kontroli i monitorowania urzdze z systemem
S.M.A.R.T., takich jak dyski ATA i SCSI. System ten pozwala okrela
wiarygodno dyskw i przewidywa awarie. Pakiet zawiera dwa programy:
smartctl (obsugiwany z linii polece) i smartd (demon regularnie
monitorujcy stan dyskw).

%description -l pt_BR
SMART suite controla e monitora dispositivos de armazenamento usando o
sistema de auto-monitorao e anlise existente em discos rgidos ATA e
SCSI. Esse sistema  utilizado para verificar a confiabilidade do disco
e prever falhas no equipamento.

%prep
%setup -q

%build
%{__make} CC="%{__cc}" CFLAGS="%{rpmcflags} -fsigned-char -DLINUX"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8} \
	$RPM_BUILD_ROOT/etc/rc.d/init.d

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/smartd
install smartd smartctl $RPM_BUILD_ROOT%{_sbindir}
install smartd.8 smartctl.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add smartd
if [ -f /var/lock/subsys/smartd ]; then
        /etc/rc.d/init.d/smartd restart 1>&2
else
        echo "Run \"/etc/rc.d/init.d/smartd start\" to start smartd service."
fi

%preun
if [ "$1" = "0" ]; then
        if [ -f /var/lock/subsys/smartd ]; then
                /etc/rc.d/init.d/smartd stop 1>&2
        fi
        /sbin/chkconfig --del smartd
fi

%files
%defattr(644,root,root,755)
%doc CHANGELOG README TODO
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/smartd
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: smartsuite.spec,v $
Revision 1.6  2002/09/07 06:22:02  kloczek
- release 3.

Revision 1.5  2002/09/05 23:23:20  undefine
- pt translation from Connectiva linux
- new %doc automation

Revision 1.4  2002/03/16 20:34:06  orzech
- without_dist_kernel bcond

Revision 1.3  2002/03/16 09:00:54  orzech
- BR: kernel-headers
- works fine, STBR

Revision 1.2  2002/03/02 10:26:42  kloczek
- cut changelog.

Revision 1.1  2002/02/27 20:25:53  misiek
- renamed from ucsc-smartsuite and updated to 2.1
